arrow-left

Only this pageAll pages
gitbookPowered by GitBook
1 of 13

English

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

About

This document introduces the official API of opsnow.io

At opsnow.ioarrow-up-right, we're committed to simplifying the complexities of modern cloud infrastructure. Our CMP(Cloud Management Platform) stands at the forefront of this mission, providing unparalleled tools and insights for businesses.

hashtag
Why opsnow.io?

  • Cost Savings: Explore complex cloud costs and find cost-saving opportunities.

  • Resource Management: Ensure visibility and control over cloud resources. Monitor and manage resources to optimize your cloud environment.

  • Intuitive API: This document guides developers through powerful APIs to provide integrations and automations for cloud management. With clear instructions and examples, developers can easily and quickly leverage all the features of the opsnow.io platform.

We're delighted to have you here, and we're confident that our platform will drive efficiency, clarity, and scalability for your cloud operations.

Endpoint

Endpoints Overview

hashtag
Domain

api.opsnow.io

Each service URL is composed with the hostname to form the endpoint of each API.

hashtag
Service Endpoint

Platformchevron-right

AutoSavings

hashtag
AutoSavings Account APIs

hashtag
AutoSavings Account - All Vendor APIs

hashtag
AutoSavings Azure Account APIs

hashtag
Integrated(User & AutoSavings) Coverage APIs

hashtag
Integrated(User & AutoSavings) Inventory APIs

hashtag
Integrated(User & AutoSavings) Inventory - Azure APIs

hashtag
Integrated(User & AutoSavings) Utilization APIs

hashtag
Integrated(User & AutoSavings) Utilization - Azure APIs

Platform

/platform

hashtag
Purpose

The Platform endpoint focuses on the overall management of the opsnow.io service.

It encompasses a wide range of configuration tasks for the site, from user management to adjustments for various services.

hashtag
Key Features

  • User Management: Add, modify, or remove users and assign roles and permissions.

  • Service Settings:Configure and adjust settings related to the opsnow.io service.

  • Insights with Platform Analytics: Understand user interactions, platform usage, and other essential metrics.

API reference

hashtag
API Reference

Welcome to api.opsnow.io API Reference. Our API is built with the purpose of streamlining cloud operations and is categorized into three main sections: asset, cost, and platform. Each of these endpoints is designed to offer developers a robust set of tools for seamless cloud management.

Authentication

This article describes the authentication method of opsnow.io's API.

All requests to the API require authentication.

opsnow.io uses a Bearer token for this purpose. Include the token in the request header as follows:

For security reasons, keep the access token confidential.

Avoid hardcoding it directly into the application or exposing it in client-side scripts.

hashtag

Rate Limiting

To ensure optimal performance and fairness, we provide rate limits.

Standard users can make a maximum of 1000 requests per hour.

If more access is required, please contact us at [email protected] to upgrade your limits.

User Authentication Method

opsnow.io issues an API key after the user authentication process during the login. Subsequently, you can obtain an access token to make API calls.

hashtag
Step 1. Request for API Key Issuance

  • Access the opsnow.ioarrow-up-right service and request the issuance of an API Key.

  • The requested user information is verified, and an API Key will be issued.

hashtag
Step 2. Request for Access Token Issuance

  • Using the API Key obtained in Step 1, request for access token issuance.

  • If the request for access token issuance is processed successfully, the access token and its expiration time (3600s) are returned.

hashtag
Step 3. API Call

  • With the access token obtained in Step 2, you can use opsnow.io's actual API.

  • The issued access token follows the Bearer token method, explicitly stating the Bearer string and transmitting the access token.

  • If the access token's validity period expires, access token reissuance is necessary.

Authorization: Bearer YOUR_TOKEN_HERE
curl -X POST "https://api.opsnow.io/platform/v2/identity/api-keys/token" \
-H "Content-Type: application/json" \
-d '{"apiKey":"YOUR_API_KEY"}'

Platform

hashtag
Company APIs

hashtag
Cloud Account - AWS APIs

hashtag
Cloud Account - Azure APIs

hashtag
Cloud Account - GCP APIs

Resources

/asset

hashtag
Purpose

The Resources endpoint is designed for the overall management of cloud resources. It provides services to users who want to track, update, or configure cloud resources.

hashtag
Key Features

  • Resource List: Provides a list of in-use resources within the cloud.

  • Resource Details: Offers detailed information about a specific resource.

  • Resource Optimization: Allows the removal of unnecessary resources and optimization of the cloud environment..

Cost

hashtag
Anomaly History APIs

hashtag
Anomaly Overview APIs

hashtag
Anomaly Rules APIs

hashtag
Billing APIs

hashtag
Cost Analytics APIs

hashtag
Cost Analytics Filters APIs

hashtag
Currency & ExchangeRate Controller APIs

hashtag
Overview APIs

Commitment

hashtag
AWS Recommendation APIs

hashtag
AWS Reserved Instance Inventory APIs

hashtag
AWS Reserved Instance utilization APIs

hashtag
AWS Savings Plans Inventory APIs

hashtag
AWS Savings Plans utilization APIs

hashtag
AWS commitment utilization APIs

hashtag
Azure Recommendation APIs

hashtag
GCP CUD(Committed Use Discount) Inventory APIs

hashtag
GCP CUD(Committed Use Discount) utilization APIs

hashtag
GCP Coverage APIs

hashtag
GCP Recommendation APIs

Errors

opsnow.io uses standard HTTP response codes to indicate the success or failure of API requests. Typically, they are as follows:

hashtag
1. 2xx: Success

hashtag
2. 4xx: Client Error

  • Indicates inaccurate or incomplete parameters.

code
description

hashtag
3. 5xx: Server Error

  • Indicates that there is an error on the opsnow.io server.

code
description

opsnow.io also outputs error messages and error codes in JSON format.

400

Bad Request: Used when the client's request is malformed or invalid.

401

Unauthorized: Used when the client is not authenticated or when the authentication token has expired.

404

Not Found: Used when the requested resource is not present on the server.

405

Method Not Allowed: Used when attempting to access a resource with an unsupported HTTP method.

429

Too Many Requests: Used when the client has sent too many requests within a given time frame, typically indicating exceeding request limits.

500

Internal Server Error: Used when an internal server error occurs. Specific details about the cause should be checked in the server logs.

503

Service Unavailable: Used when the server is temporarily unable to handle the request. This could occur, for example, when the server is overloaded or undergoing maintenance.

504

Gateway Timeout: Used when the server, acting as a gateway or proxy, did not receive a timely response from the upstream server.

{
    "status": "fail",
    "error": {
        "code": 401,
        "message": "Unauthorized"
    }
}

Resources

hashtag
Common APIs

hashtag
Elastic Search Filter APIs

hashtag
Optimization Detail V3 APIs

hashtag
Optimization Setting V3 APIs

hashtag
Resource Alarm V2 Controller APIs

hashtag
Resource History Scheduler APIs

hashtag
Resource Instance Scheduler APIs

hashtag
Resource Optimization APIs

hashtag
Resource Scheduler APIs

hashtag
Resource Usage APIs

hashtag
TagManager APIs

hashtag
custom-report-controller APIs

hashtag
custom-report-data-source-controller APIs

hashtag
external-aws-controller APIs

hashtag
report-controller APIs

hashtag
report-download-controller APIs

hashtag
rsrc-opti-common-controller APIs

hashtag
rsrc-opti-right-sizing-controller APIs

hashtag
rsrc-opti-setting-controller APIs

hashtag
rsrc-opti-unused-controller APIs

hashtag
listCompanies

get

Retrieves a list of all companies accessible to the logged-in user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
permissionTypestring · enumOptionalDefault: readPossible values:
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies

hashtag
listCompanyUsers

get

Retrieves a list of all users associated with a company.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/users

hashtag
listAwsAccounts

get

Retrieves a list of AWS accounts associated with the specified company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Query parameters
isAddReadyToStartbooleanOptional

Specifies whether additional Member Accounts can be registered when isAddReadyToStart is set to true.

Example: true
accountTypestringOptional

The accountType parameter represents the type of AWS account, primarily used to distinguish between master and member accounts. In the AWS account structure, the master account is the root account of an AWS Organization, responsible for managing member accounts and consolidating billing. In contrast, member accounts are individual accounts that belong to the master account, each with its own resources and services. This parameter is used in API requests to specify whether to query for master accounts or member accounts. The acceptable values are master and member.

Example: master
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/aws/accounts

hashtag
getAwsAccount

get

Fetches detailed information for a specific AWS account using the provided company and account IDs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
accountIdstringRequired

The unique identifier of the AWS account.

Example: 123456789012
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/aws/accounts/{accountId}

hashtag
updateAwsAccount

put

Updates the information of an existing AWS account identified by company and account IDs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
accountIdstringRequired

The unique identifier of the AWS account.

Example: 123456789012
Body
accountAliasstringOptional

The alias of the AWS account, used for easy identification.

Example: AWS 1st DEV Infra Account
isCancelDeleteAccountbooleanOptional

Specifies whether to cancel the deletion of the AWS Account.

Example: true
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

put
/platform/v2/companies/{companyId}/vendors/aws/accounts/{accountId}

hashtag
deleteAwsAccount

delete

Removes an AWS account from the system using the specified company and account IDs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
accountIdstringRequired

The unique identifier of the AWS account.

Example: 123456789012
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

delete
/platform/v2/companies/{companyId}/vendors/aws/accounts/{accountId}

hashtag
getAwsAccountSavingsAmount

get

Retrieves savings amount information for a specified AWS account, using the given company and account IDs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
accountIdstringRequired

The unique identifier of the AWS account.

Example: 123456789012
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/aws/accounts/{accountId}/recommendation-savingsplan

hashtag
getAwsAccountSetup

get

Obtains the setup information for an AWS account linked to the given company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Query parameters
registrationTypestringOptional

Used to determine how to register AWS accounts. If the value is 'single', it registers a single account. If the value is 'bulk', it provides information to register multiple accounts at once.

Default: singleExample: single
excludeAccountsstring[]Optional

When obtaining the information needed to register accounts, specify the accounts you want to exclude when selecting in bulk. Enter AWS account numbers separated by commas, and the information will be returned excluding these accounts.

Example: 123456789012, 234567890123
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/aws/accounts/setup

hashtag
listAwsAccounts

get

Retrieves a list of AWS accounts associated with the specified company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/aws/management-accounts

hashtag
listAzureTenants

get

Retrieves a list of Azure tenants associated with the specified company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/azure/tenants

hashtag
createAzureTenant

post

Creates a new Azure tenant for the specified company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Body
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

post
/platform/v2/companies/{companyId}/vendors/azure/tenants

hashtag
getAzureTenant

get

Obtains the details of a specific Azure tenant linked to the given company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/azure/tenants/{tenantId}

hashtag
updateAzureTenant

put

Updates the information of a specific Azure tenant associated with the given company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
Body
tenantAliasstringRequired

The alias name of the Azure tenant.

Example: First Tenant
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

put
/platform/v2/companies/{companyId}/vendors/azure/tenants/{tenantId}

hashtag
deleteAzureTenant

delete

Deletes a specific Azure tenant linked to the specified company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

delete
/platform/v2/companies/{companyId}/vendors/azure/tenants/{tenantId}

hashtag
listAzureSubscriptions

get

Retrieves a list of Azure subscriptions associated with the specified tenant ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
Query parameters
sourcestringOptional

Data source: 'console' for Azure Console, default is database

Example: console
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/azure/tenants/{tenantId}/subscriptions

hashtag
createAzureSubscription

post

Creates a new Azure subscription for the specified tenant ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
Body
subscriptionIdstringRequired

A unique identifier for an Azure subscription, used to manage and bill for a set of Azure resources and services.

Example: c925a595-81d2-470c-a8cd-f7bd56fa8e95
subscriptionAliasstringRequired

The alias name of the Azure subscription.

Example: First Subscription
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

post
/platform/v2/companies/{companyId}/vendors/azure/tenants/{tenantId}/subscriptions

hashtag
getAzureSubscription

get

Obtains the details of a specific Azure subscription linked to the given tenant ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
subscriptionIdstringRequired

A unique identifier for an Azure subscription, used to manage and bill for a set of Azure resources and services.

Example: c925a595-81d2-470c-a8cd-f7bd56fa8e95
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/azure/tenants/{tenantId}/subscriptions/{subscriptionId}

hashtag
updateAzureSubscription

put

Updates the information of a specific Azure subscription associated with the given tenant ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
subscriptionIdstringRequired

A unique identifier for an Azure subscription, used to manage and bill for a set of Azure resources and services.

Example: c925a595-81d2-470c-a8cd-f7bd56fa8e95
Body
subscriptionAliasstringRequired

The alias name of the Azure subscription.

Example: First Subscription
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

put
/platform/v2/companies/{companyId}/vendors/azure/tenants/{tenantId}/subscriptions/{subscriptionId}

hashtag
deleteAzureSubscription

delete

Deletes a specific Azure subscription linked to the specified tenant ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
subscriptionIdstringRequired

A unique identifier for an Azure subscription, used to manage and bill for a set of Azure resources and services.

Example: c925a595-81d2-470c-a8cd-f7bd56fa8e95
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

delete
/platform/v2/companies/{companyId}/vendors/azure/tenants/{tenantId}/subscriptions/{subscriptionId}

hashtag
listAzureRegistrableSubscriptions

post

List registrable Azure subscriptions for the specified tenant ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Body
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

post
/platform/v2/companies/{companyId}/vendors/azure/tenants/registrable-subscriptions

hashtag
listGcpProjects

get

Retrieves a list of GCP projects with the given company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/gcp/projects

hashtag
createGcpProject

post

Creates a new gcp project for the specified company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Body
serviceAccountIdstringRequired

A unique identifier used to identify a Google Cloud service account. It is used to distinguish the service account that interacts with Google Cloud resources and services.

Example: 106821279384347983826
projectIdstringRequired

A unique identifier for a Google Cloud Platform project, used to organize and manage GCP resources, services, and billing.

Example: cloud-platform-1234
projectAliasstringRequired

A user-friendly name or alias for a GCP project, used for easier identification and management.

Example: My Cloud Project
datasetIdstringOptional

A unique identifier for a BigQuery dataset, which is a collection of tables and views in Google Cloud Platform.

Example: my_dataset
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

post
/platform/v2/companies/{companyId}/vendors/gcp/projects

hashtag
getGcpProject

get

Retrieves detailed information about a specific GCP project linked to the given company ID and project ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
projectIdstringRequired

A unique identifier for a Google Cloud Platform project, used to organize and manage GCP resources, services, and billing.

Example: cloud-platform-1234
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/gcp/projects/{projectId}

hashtag
updateGcpProject

put

Updates the information of a specific GCP project with the given project ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
projectIdstringRequired

A unique identifier for a Google Cloud Platform project, used to organize and manage GCP resources, services, and billing.

Example: cloud-platform-1234
Body
projectAliasstringOptional

A user-friendly name or alias for a GCP project, used for easier identification and management.

Example: My Cloud Project
datasetIdstringOptional

A unique identifier for a BigQuery dataset, which is a collection of tables and views in Google Cloud Platform.

Example: my_dataset
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

put
/platform/v2/companies/{companyId}/vendors/gcp/projects/{projectId}

hashtag
deleteGcpProject

delete

Deletes a specific Gcp Project linked to the specified project ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
projectIdstringRequired

A unique identifier for a Google Cloud Platform project, used to organize and manage GCP resources, services, and billing.

Example: cloud-platform-1234
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

delete
/platform/v2/companies/{companyId}/vendors/gcp/projects/{projectId}

hashtag
listGcpServiceAccounts

get

Retrieves a list of GCP service accounts with the given company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/gcp/service-accounts

hashtag
createGcpServiceAccount

post

Creates a new gcp service account for the specified company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
Body
serviceAccountAliasstringRequired

The alias name of the GCP service account.

Example: my-service-account
serviceAccountKeystringRequired

A Base64-encoded string of the JSON key file containing the credentials for a GCP service account.

Example: <Base64-encoded JSON key file string>
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

post
/platform/v2/companies/{companyId}/vendors/gcp/service-accounts

hashtag
getGcpServiceAccount

get

Retrieves detailed information about a specific GCP service account and its associated project

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
serviceAccountIdstringRequired

A unique identifier used to identify a Google Cloud service account. It is used to distinguish the service account that interacts with Google Cloud resources and services.

Example: 106821279384347980000
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/gcp/service-accounts/{serviceAccountId}

hashtag
updateGcpServiceAccount

put

Updates the information of a specific GCP account associated with the given company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
serviceAccountIdstringRequired

A unique identifier used to identify a Google Cloud service account. It is used to distinguish the service account that interacts with Google Cloud resources and services.

Example: 106821279384347980000
Body
serviceAccountAliasstringRequired

The alias name of the GCP service account.

Example: my-service-account
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

put
/platform/v2/companies/{companyId}/vendors/gcp/service-accounts/{serviceAccountId}

hashtag
deleteGcpServiceAccount

delete

Deletes a specific Gcp Account linked to the specified company ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
serviceAccountIdstringRequired

A unique identifier used to identify a Google Cloud service account. It is used to distinguish the service account that interacts with Google Cloud resources and services.

Example: 106821279384347980000
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

delete
/platform/v2/companies/{companyId}/vendors/gcp/service-accounts/{serviceAccountId}

hashtag
listGcpServiceAccountProjects

get

Retrieves a list of GCP projects with the given Service Account ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

The ID of the organization, obtainable through 'listCompanies'.

Example: f23a80d2-2077-4e0a-aa85-e7b08a379be7
serviceAccountIdstringRequired

A unique identifier used to identify a Google Cloud service account. It is used to distinguish the service account that interacts with Google Cloud resources and services.

Example: 106821279384347980000
Responses
chevron-right
200

OK

*/*
statusstringOptional

The status attribute indicates the state of the request, with "success" meaning the request was processed successfully and "error" indicating an error occurred during processing.

Example: success
chevron-right
400

Bad Request

chevron-right
404

Not Found

get
/platform/v2/companies/{companyId}/vendors/gcp/service-accounts/{serviceAccountId}/projects

hashtag
Anomaly detection history

post

View abnormal cost detection history list

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
analyzeBystringRequired

Abnormal Cost Analysis Type

Example: account
analyzeTypestringRequired

Abnormal Cost AI/Manual Type

Example: manual
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/history/list

hashtag
Anomaly detection history detailed total daily grid list

post

View ai/manual abnormal cost detection daily grid data

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
analyzeTypestringRequired

Analyze Type

Example: ai
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
histSeqinteger · int32Required

History Seq

Example: 0
ruleSeqinteger · int32Required

Anomaly Rule Seq

Example: 0
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/history/detail/{analyzeType}/grid

hashtag
Anomaly detection history detailed notification result

post

View abnormal cost detection notification sent history

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
histSeqinteger · int32Required

History Seq

Example: 0
ruleSeqinteger · int32Required

Anomaly Rule Seq

Example: 0
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/history/detail/sent

hashtag
Anomaly detection history detail result and period chart

post

View abnormal cost detection history details and pie chart data

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
histSeqinteger · int32Required

History Seq

Example: 0
ruleSeqinteger · int32Required

Anomaly Rule Seq

Example: 0
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/history/detail/result

hashtag
Manual anomaly detection history detail result and period chart

post

View manual abnormal cost detection history details and pie chart data inquiry

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
histSeqinteger · int32Required

History Seq

Example: 0
ruleSeqinteger · int32Required

Anomaly Rule Seq

Example: 0
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/history/detail/manual/period-chart

hashtag
Trend of anomaly detection by AI

post

View the trend of cost anomalies detected by AI.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vendorstringRequired

Vendor

Example: AWS
Body
companyIdstringRequired

company id

Example: 123e4567-e89b-12d3-a456-426614174000
companyNamestringOptional

company name

Example: ex-company-rname
defaultVendorstringRequired

default vendor

Example: AWS
userEmailstringOptional

user email

Example: [email protected]
userIdstringOptional

user id

Example: 390df5f7-8852-40af-bc12-57a318cb9dc3
userNamestringOptional

user name

Example: ex-user-name
vendorstringRequired

vendor

Example: AWS
sensitivitystringRequired

Sensitivity

Example: M
forecastDtstringOptional

Forecast Date

Example: 2024-06-02
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/vendors/{vendor}/detections/ai/trend

hashtag
Cost trend of cloud usage

post

View the cost trend of cloud usage.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vendorstringRequired

Vendor

Example: AWS
Body
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/vendors/{vendor}/dashboard/trend

hashtag
Potential anomalous usage data detected by AI

post

View the usage data that may lead to ai-predicted anomalous costs

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vendorstringRequired

Vendor

Example: AWS
Body
companyIdstringRequired

company id

Example: 123e4567-e89b-12d3-a456-426614174000
companyNamestringOptional

company name

Example: ex-company-rname
defaultVendorstringRequired

default vendor

Example: AWS
userEmailstringOptional

user email

Example: [email protected]
userIdstringOptional

user id

Example: 390df5f7-8852-40af-bc12-57a318cb9dc3
userNamestringOptional

user name

Example: ex-user-name
vendorstringOptional

vendor

Example: AWS
selectedVendorsByWidgetstring[]Required

Selected Vendors by Widget

Example: ["AWS","GCP"]
sensitivitystringRequired

Sensitivity

Example: M
forecastDatestringRequired

Forecast Date

Example: 2024-09-23
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/vendors/{vendor}/anomaly/aiPossibleCause

hashtag
Summary of detected anomalies

post

View the number of triggered alerts and abnormal cost information by cloud vendor and type.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
vendorsstring[]Required

List of vendors

Example: ["AWS"]
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/vendors/aggregate

hashtag
Summary of detected anomalies

post

View the number of triggered alerts and abnormal cost information by cloud vendor and type.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vendorstringRequired

Vendor

Example: AWS
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
vendorsstring[]Required

List of vendors

Example: ["AWS"]
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/vendors/{vendor}/aggregate

hashtag
Create/Update an anomaly detection rule setting

put

Create or update the setting of anomaly detection rule.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
put
/v3/billing/anomaly/vendors/detections/alerts/rule/setting

hashtag
Anomaly detection rules

post

View the rules for detecting anomalies and sending alerts.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: 123e4567-e89b-12d3-a456-426614174000
companyNamestringOptional

company name

Example: ex-company-rname
defaultVendorstringRequired

default vendor

Example: AWS
userEmailstringOptional

user email

Example: [email protected]
userIdstringOptional

user id

Example: 390df5f7-8852-40af-bc12-57a318cb9dc3
userNamestringOptional

user name

Example: ex-user-name
vendorstringOptional

vendor

Example: AWS
vendorListstring[]Optional

List of vendors

Example: ["AWS"]
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/vendors/detections/alerts/rule

hashtag
Specific anomaly detection rule

post

View the specific rule for detecting anomalies and sending alerts.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seqinteger · int32Required

Rule Seq

Example: 0
Body
companyIdstringRequired

company id

Example: 123e4567-e89b-12d3-a456-426614174000
companyNamestringOptional

company name

Example: ex-company-rname
defaultVendorstringRequired

default vendor

Example: AWS
userEmailstringOptional

user email

Example: [email protected]
userIdstringOptional

user id

Example: 390df5f7-8852-40af-bc12-57a318cb9dc3
userNamestringOptional

user name

Example: ex-user-name
vendorstringOptional

vendor

Example: AWS
seqinteger · int32Optional

Anomaly Rule Seq

Example: 0
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/anomaly/vendors/detections/alerts/rule/{seq}

hashtag
Get monthly billing summary

post

Retrieve monthly billing summary including invoices and services. Required parameters: companyId, searchYear, searchMnth, vndr

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
searchYearstringRequired

Search Year

Example: 2025
searchMnthstringRequired

Search Month (01-12)

Example: 05
vndrstringRequired

Vendor (AWS)

Example: AWS
lnkdAccIdstringOptional

Linked Account ID (optional)

Example: linkedAccountId
Responses
chevron-right
200

success

application/json
chevron-right
500

Internal Server Error

application/json
post
/v3/billing/summary

hashtag
Detail of cost analytics

post

View detailed portion chart data of cost analytics

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
selectedVendorstringRequiredExample: AWS
costDatestringRequiredExample: 2019-08-12
startDatestringRequiredExample: 2023-02-01
endDatestringRequiredExample: 2024-02-12
viewBystringRequiredExample: account
viewByIdstringOptional
viewByItemstringRequiredExample: 216093335544
itemViewIdstringRequiredExample: 216093335544
visibleFieldsstring[]Required

VisibleFields of detail grid

Example: ["vendor","linkedAccountId","productName","region","usage","cost","usageType"]
isMonthlybooleanRequiredExample: false
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/analytics/daily-portion

hashtag
Detail of cost analytics

post

View detailed grid of cost analytics

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
selectedVendorstringRequiredExample: AWS
costDatestringRequiredExample: 2019-08-12
startDatestringRequiredExample: 2023-02-01
endDatestringRequiredExample: 2024-02-12
viewBystringRequiredExample: account
viewByIdstringOptional
viewByItemstringRequiredExample: 216093335544
itemViewIdstringRequiredExample: 216093335544
visibleFieldsstring[]Required

VisibleFields of detail grid

Example: ["vendor","linkedAccountId","productName","region","usage","cost","usageType"]
isMonthlybooleanRequiredExample: false
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/analytics/daily-cost

hashtag
Summary of cost analytics

post

View summary of cost analytics

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
startDatestringRequired

start date

Example: 2023-02-01
endDatestringRequired

end date

Example: 2024-02-12
itemsPerPageinteger · int64Required

items per page

Example: 30
pageinteger · int64Required

page number

Example: 1
userNamestringOptional

user name

Example: abcd
viewBystringRequired

view by

Example: account
selectedVendorsstring[]Required

selected vendors

Example: ["AWS"]
isMonthlybooleanRequired

monthly

Example: false
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/analytics/cost

hashtag
Filter of Cost Analytics

post

View Cost Analytics filter

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
startDatestringRequired

Cost Analytics inquiry start date

Example: 2024-09-01
endDatestringRequired

Cost Analytics inquiry end date

Example: 2024-09-30
viewBystringOptional

View By

Example: account
fieldstringOptional

Filter query category

Example: platform
selectedKeystringOptional

Selected Key

Example: test
searchTextstringOptional

Search Text

Example: test
selectedVendorsstring[]Required

selected vendors

Example: ["AWS"]
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/analytics/related

hashtag
Filter of Cost Analytics

post

View Cost Analytics filter

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
startDatestringRequired

Cost Analytics inquiry start date

Example: 2024-09-01
endDatestringRequired

Cost Analytics inquiry end date

Example: 2024-09-30
viewBystringOptional

View By

Example: account
fieldstringOptional

Filter query category

Example: platform
selectedKeystringOptional

Selected Key

Example: test
searchTextstringOptional

Search Text

Example: test
selectedVendorsstring[]Required

selected vendors

Example: ["AWS"]
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/analytics/filter

hashtag
Category of cost analytics

post

View Category of cost analytics

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
startDatestringRequired

Cost Analytics inquiry start date

Example: 2024-09-01
endDatestringRequired

Cost Analytics inquiry end date

Example: 2024-09-30
viewBystringOptional

View By

Example: account
fieldstringOptional

Filter query category

Example: platform
selectedKeystringOptional

Selected Key

Example: test
searchTextstringOptional

Search Text

Example: test
selectedVendorsstring[]Required

selected vendors

Example: ["AWS"]
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/analytics/filter/category

hashtag
Get company exchange rate by vendor

get

Retrieve exchange rate information for a specific company and vendor

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
companyIdstringRequired

company id

Example: companyId
vendorstring · enumRequired

Target cloud vendor

Possible values:
Query parameters
currencystringOptional

Target currency for exchange rate

yearMonthstringOptional

Target year month

userIdstringOptional

user id

Example: userId
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
get
/v3/billing/currency/company/{companyId}/vendor/{vendor}/exchange

hashtag
Cloud cost overview

post

View cloud costs from the previous period and the estimated costs for the current month.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: 123e4567-e89b-12d3-a456-426614174000
companyNamestringOptional

company name

Example: ex-company-rname
defaultVendorstringRequired

default vendor

Example: AWS
userEmailstringOptional

user email

Example: [email protected]
userIdstringOptional

user id

Example: 390df5f7-8852-40af-bc12-57a318cb9dc3
userNamestringOptional

user name

Example: ex-user-name
vendorstringOptional

vendor

Example: AWS
selectedVendorstringRequired

selected Vendor

Example: AWS
endDatestringOptional

The last date to include in the data range (inclusive). If not provided, defaults to the UTC current date.

Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/overview/spend

hashtag
Latest cost collection date

post

View the latest cloud costs collection date of each vendor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: 123e4567-e89b-12d3-a456-426614174000
companyNamestringOptional

company name

Example: ex-company-rname
defaultVendorstringRequired

default vendor

Example: AWS
userEmailstringOptional

user email

Example: [email protected]
userIdstringOptional

user id

Example: 390df5f7-8852-40af-bc12-57a318cb9dc3
userNamestringOptional

user name

Example: ex-user-name
vendorstringOptional

vendor

Example: AWS
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/overview/companyMaxDate

hashtag
Cloud account status

post

View cloud accounts and status from specific vendor

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
companyIdstringRequired

company id

Example: companyId
userIdstringOptional

user id

Example: userId
vendorstringRequired

vendor

Example: AWS
Responses
chevron-right
200

OK

*/*
statusstringOptional

API Response Status

Example: success
post
/v3/billing/overview/accounts

hashtag
Get AutoSavings account List

get

Retrieve information about the AWS account registered with the company.

Authorizations
Authorizationstring

hashtag
Get AutoSavings Account Subscription Histories

get

Retrieve AWS AutoSavings subscription histories

Authorizations
Authorization

hashtag
Get AutoSavings Account State

get

Retrieve registered AWS AutoSavings accounts state

Authorizations
Authorizationstring

hashtag
Get AutoSavings account AWS role ARN Info

get

Retrieve the necessary information for AWS cross-account registration.

Authorizations
Authorization

hashtag
Get AutoSavings Site Region

get

Retrieve Information about customer sites utilizing AWS AutoSavings.

Authorizations
Authorization

hashtag
Get AutoSavings Account Subscription Histories

get

Retrieve Azure AutoSavings subscription histories

Authorizations

hashtag
Get Azure AutoSavings Account State

get

Retrieve registered Azure AutoSavings accounts state for specified period

Authorizations
Authorization

hashtag
Get AutoSavings Account Subscription Histories

get

Retrieve Azure AutoSavings subscription histories

Authorizations

hashtag
Get Azure AutoSavings Account State

get

Retrieve registered Azure AutoSavings accounts state for specified period

Authorizations
Authorization

hashtag
Get Savings Plans List

get

Get Coverage List

Authorizations
Authorizationstring

hashtag
Get Savings Plans Total Transition

get

Get Coverage Total Transition

Authorizations

hashtag
Get Savings Plans Filter

get

Get Coverage Filter

Authorizations
Authorization

hashtag
Get Savings Plans total summary

get

Get Coverage Total summary

Authorizations
Authorization

hashtag
Get My Inventory List

get

Get My Inventory List

Authorizations
Authorization

hashtag
Get Savings Plans Inventory List

get

Get Savings Plans Inventory List

Authorizations
Authorization

hashtag
Get AutoSavings Inventory List

get

Get AutoSavings Inventory List

Authorizations
Authorization

hashtag
Get My Azure Inventory List

get

Get My Azure Inventory List

Authorizations
Authorization

hashtag
Get list of Azure Reservations inventory

get

Retrieve Azure Reservations inventory (same as commitment API)

Authorizations
Authorization

hashtag
Get category list of Azure Reservations inventory

get

Retrieve the categories of Azure Reservations inventory (same as commitment API)

Authorizations

hashtag
Get AutoSavings Azure Inventory List

get

Get AutoSavings Azure Inventory List

Authorizations
Authorization

hashtag
Get Agreement Utilization List

get

Get Agreement Utilization List

Authorizations
Authorization

hashtag
Get Total Transition

get

Get Utilization Total Transition

Authorizations

hashtag
Overview Monthly Overview Savings

get

Overview Monthly Overview Savings

Authorizations

hashtag
Get Filter

get

Get Utilization Filter

Authorizations
Authorization

hashtag
Get total summary

get

Get Utilization Total summary

Authorizations
Authorization

hashtag
Get Agreement Utilization List

get

Get Azure Agreement Utilization List

Authorizations
Authorization

hashtag
Get Total Transition

get

Get Azure Utilization Total Transition (Monthly Aggregation)

Authorizations

hashtag
Overview Monthly Overview Savings

get

Overview Monthly Azure Overview Savings

Authorizations

hashtag
Get Filter

get

Get Azure Utilization Filter

Authorizations
Authorization

hashtag
Get total summary

get

Get Azure Utilization Total summary

Authorizations
Authorization

hashtag
Get result list of AWS commitment recommendation

get

Retrieve results of AWS commitment recommendation

Authorizations

hashtag
Get purchase option information of AWS commitment recommendation

get

Retrieve the cost information based on AWS commitment purchase options and their corresponding purchase outcomes.

Authorizations

hashtag
Get product type list of AWS commitment recommendation

get

Retrieve product types targeted by AWS commitment recommendation

Authorizations

hashtag
Get list of user's AWS Reserved Instance inventory

get

Retrieve Reserved Instance inventory(purchased by user).

Authorizations

hashtag
Get list of AWS Reserved Instance inventory

get

Retrieve Reserved Instance inventory(purchased list).

Authorizations
Authorization

hashtag
Get category list of AWS Reserved Instance inventory

get

Retrieve the categories of AWS Reserved Instance inventory. The items within these categories can be used when categorizing the Reserved Instance commitments.

Authorizations

hashtag
Get list of AutoSavings AWS Reserved Instance inventory

get

Retrieve Reserved Instance inventory(purchased by AutoSavings).

Authorizations

hashtag
Get utilization data of AWS Reserved Instance

get

Retrieve utilization data of each AWS Reserved Instance.

Authorizations

hashtag
Get utilization summary trends of AWS Reserved Instance

get

Retrieve time-series utilization summary for AWS Reserved Instance.

Authorizations

hashtag
Get category list of AWS Reserved Instance utilization

get

Retrieve the categories of AWS Reserved Instance utilization. The items within these categories can be used when categorizing the values of Reserved Instance related to utilization.

Authorizations

hashtag
Get utilization summary of AWS Reserved Instance

get

Retrieve aggregated utilization summary for AWS Reserved Instance.

Authorizations

hashtag
Get utilization data of user's AWS Reserved Instance

get

Retrieve utilization data of user's each AWS Reserved Instance.

Authorizations

hashtag
Get utilization summary trends of user's AWS Reserved Instance

get

Retrieve time-series utilization summary for user's AWS Reserved Instance.

Authorizations

hashtag
Get category list of user's AWS Reserved Instance utilization

get

Retrieve the categories of user's AWS Reserved Instance utilization. The items within these categories can be used when categorizing the values of Reserved Instance related to utilization.

Authorizations

hashtag
Get utilization summary of user's AWS Reserved Instance

get

Retrieve aggregated utilization summary for user's AWS Reserved Instance.

Authorizations

hashtag
Get list of user's AWS Savings Plans inventory

get

Retrieve Savings Plans inventory(purchased by user).

Authorizations
Authorization

hashtag
Get list of AWS Savings Plans inventory

get

Retrieve Savings Plans inventory(purchased list).

Authorizations
Authorization

hashtag
Get category list of AWS Savings Plans inventory

get

Retrieve the categories of AWS Savings Plans inventory. The items within these categories can be used when categorizing the Savings Plans commitments.

Authorizations

hashtag
Get list of AutoSavings AWS Savings Plans inventory

get

Retrieve Savings Plans inventory(purchased by AutoSavings).

Authorizations

hashtag
Get utilization data of AWS Savings Plans

get

Retrieve utilization data of each AWS Savings Plans.

Authorizations
Authorization

hashtag
Get utilization summary trends of AWS Savings Plans

get

Retrieve time-series utilization summary for AWS Savings Plans.

Authorizations

hashtag
Get category list of AWS Savings Plans utilization

get

Retrieve the categories of AWS Savings Plans utilization. The items within these categories can be used when categorizing the values of Savings Plans related to utilization.

Authorizations

hashtag
Get utilization summary of AWS Savings Plans

get

Retrieve aggregated utilization summary for AWS Savings Plans.

Authorizations

hashtag
Get utilization data of AWS commitment

get

Retrieve utilization data of each AWS commitment.

Authorizations
Authorization

hashtag
Get utilization summary trends of AWS commitment

get

Retrieve time-series utilization summary for AWS commitment.

Authorizations

hashtag
Get category list of AWS commitment utilization

get

Retrieve the categories of AWS commitment utilization. The items within these categories can be used when categorizing the values of commitment related to utilization.

Authorizations

hashtag
Get utilization summary of AWS commitment

get

Retrieve aggregated utilization summary for AWS commitment.

Authorizations
Authorization

hashtag
Get result list of Azure Reservations recommendation

get

Retrieve results of Azure Reservations recommendations

Authorizations

hashtag
Get product type list of Azure Reservations recommendation

get

Retrieve product types targeted by Azure Reservations recommendation

Authorizations

hashtag
Get list of GCP CUD(Committed Use Discount) inventory

get

Retrieve Reserved Instance inventory(purchased list).

Authorizations
Authorization

hashtag
Get category list of GCP CUD(Committed Use Discount) inventory

get

Retrieve the categories of GCP CUD(Committed Use Discount) inventory. The items within these categories can be used when categorizing the Reserved Instance commitments.

Authorizations

hashtag
Get utilization data of GCP CUD(Committed Use Discount)

get

Retrieve utilization data of each GCP CUD(Committed Use Discount).

Authorizations
Authorization

hashtag
Get utilization summary trends of GCP CUD(Committed Use Discount)

get

Retrieve time-series utilization summary for GCP CUD(Committed Use Discount).

Authorizations

hashtag
Get category list of GCP CUD(Committed Use Discount) utilization

get

Retrieve the categories of GCP CUD(Committed Use Discount) utilization. The items within these categories can be used when categorizing the values of Reserved Instance related to utilization.

Authorizations

hashtag
Get utilization summary of GCP CUD(Committed Use Discount)

get

Retrieve aggregated utilization summary for GCP CUD(Committed Use Discount).

Authorizations

hashtag
Get coverage data of GCP commitment

get

Retrieve coverage data of each GCP commitment.

Authorizations
Authorizationstring

hashtag
Get coverage summary trends of GCP commitment

get

Retrieve time-series coverage summary for GCP commitment.

Authorizations

hashtag
Get category list of GCP commitment coverage

get

Retrieve the categories of GCP commitment coverage. The items within these categories can be used when categorizing the values of commitment related to coverage.

Authorizations

hashtag
Get coverage summary of GCP commitment

get

Retrieve aggregated coverage summary for GCP commitment.

Authorizations
Authorization

hashtag
Get result list of GCP CUD recommendation

get

Retrieve results of GCP(Google Cloud Platform) CUD(Committed Use Discounts) recommendations

Authorizations

hashtag
Get purchase option information of GCP CUD recommendation

get

Retrieve the cost information based on GCP(Google Cloud Platform) CUD(Committed Use Discounts) purchase options and their corresponding purchase outcomes.

Authorizations

hashtag
Get product type list of GCP CUD recommendation

get

Retrieve product types targeted by GCP(Google Cloud Platform) CUD(Committed Use Discounts) recommendation

Authorizations
200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

companyIdstringRequired

company id

Example: 123e4567-e89b-12d3-a456-426614174000
companyNamestringOptional

company name

Example: ex-company-rname
defaultVendorstringRequired

default vendor

Example: AWS
userEmailstringOptional

user email

Example: [email protected]
userIdstringOptional

user id

Example: 390df5f7-8852-40af-bc12-57a318cb9dc3
userNamestringOptional

user name

Example: ex-user-name
vendorstringOptional

vendor

Example: AWS
vendorsstring[]Optional

List of vendors

selectedVendorsByWidgetstring[]Required

Selected Vendors by Widget

Example: ["AWS"]
viewTypestringRequired

View Type

Example: account
widgetTypestringRequired

Component Type

Example: dashboard_compare_cost_trend_widget
dateTypestringOptional

Widget Date Type

Example: monthly
dataTypestringOptional

Widget Date Type (etc. monthly, weekly, daily)

Example: monthly, weekly, daily
timeFramestringRequired

Time Frame

Example: last_3_months
viewBystringRequired

View By(account,product,region)

Example: account
filterstringOptional

Filter Type(top_10_by_cost / custom)

Example: top_10_by_cost
selectedAccountstringOptional

Selected Account Filter

Example: 000000000000
selectedAccountsstring[]Optional

Selected Accounts Filter

itemstring[]Optional

Selected Items Filter

selectedTagKeystringOptional

Selected Tag Key Filter

Example: Name
selectedServiceGroupSetstringOptional

Selected Service Group Set Filter

Example: 00000000-0000-0000-0000-000000000000
widgetCurrencynumber · doubleOptional

Widget Selected Currency

sensitivitystringOptional

Sensitivity value for a specific widget

Example: M
analyzedDtstringOptional

Analysis date

Example: 2024-06-02
200

OK

200

OK

200

OK

200

OK

companyIdstringRequired

company id

Example: 123e4567-e89b-12d3-a456-426614174000
companyNamestringOptional

company name

Example: ex-company-rname
defaultVendorstringRequired

default vendor

Example: AWS
userEmailstringOptional

user email

Example: [email protected]
userIdstringOptional

user id

Example: 390df5f7-8852-40af-bc12-57a318cb9dc3
userNamestringOptional

user name

Example: ex-user-name
vendorstringOptional

vendor

Example: AWS
seqinteger · int32Optional

Anomaly Rule Seq

Example: 0
namestringOptional

Anomaly Rule Name

Example: Name
analyzeTypestringRequired

Abnormal Cost AI/Manual Type

Example: manual
analyzeBystringRequired

Abnormal Cost Analysis Type

Example: account
sensitivitystringRequired

Sensitivity

Example: M
thValnumber · doubleOptional

Threshold value

Example: 1
thOptstringOptional

Threshold detection options(percentage/amount)

Example: percentage
alertStatusstringOptional

Alarm Setting Status(active/inactive)

Example: inactive
alertFreqstringOptional

Alarm Frequency(daily, weekly)

Example: daily
alertOptstringOptional

Alarm Option(only, all)

Example: only
receiversstringOptional

Alarm recipients

useYnstringOptional

Alarm Enabled

Example: Y
forecastDtstringOptional

Forecast Date

Example: 2024-06-02
analyzedDtstringOptional

Analysis date

Example: 2024-06-02
viewBystringOptional

View By

Example: account
200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

200

OK

tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
tenantAliasstringRequired

The alias name of the Azure tenant.

Example: First Tenant
applicationIdstringRequired

The applicationId is a unique identifier assigned to an application when it is registered in Azure Active Directory (AAD). This identifier is used to identify the application and authenticate it when communicating with other services or applications. It is often referred to as ClientId. For example, when the application sends an authentication request to AAD, it includes this applicationId to prove its identity.

Example: 993a65dd-691f-44f7-ba1d-21e7b4c60d38
clientSecretstringRequired

The clientSecret is a secret key generated when an application is registered in Azure Active Directory (AAD). This secret key is used along with the applicationId when the application makes an authentication request. If both pieces of information match, AAD verifies the legitimacy of the application. It is crucial to store and manage the clientSecret securely as it is sensitive information that can pose security risks if exposed.

Example: your-client-secret
tenantTypestringRequired

Represents the type of the tenant, primarily categorized based on the subscription model. Examples include EA (Enterprise Agreement), Pay-As-You-Go, CSP and Azure Plan. This provides information related to the billing plan used by the tenant.

Example: PAY-AS-YOU-GOPattern: PAY-AS-YOU-GO|EA|AZURE-PLAN|CSP
enrollmentNumberstringOptional

The 'Enrollment Number' refers to a unique identifier assigned to an organization when they purchase Microsoft Azure services. This number is used to manage multiple subscriptions, track usage and costs for billing purposes, and oversee services and resources linked to a specific subscription. It allows organizations to efficiently manage and monitor their Azure services.

Example: 123456
primaryKeystringOptional

In the context of an Azure Enterprise Agreement (EA) account, the PRIMARY_KEY is a unique key provided to the organization. This key is used to authenticate and access Azure services and resources associated with the EA account. It acts as a secure credential, allowing the organization to manage and monitor its Azure usage and billing.

Example: jwt-token-format
tenantIdstringRequired

A unique identifier used to identify an Azure Active Directory (AAD) tenant. It is used to distinguish the tenant to which all the organization's Azure resources and services belong.

Example: 6a05a771-d671-440a-9d64-087df0c16d6a
applicationIdstringRequired

The applicationId is a unique identifier assigned to an application when it is registered in Azure Active Directory (AAD). This identifier is used to identify the application and authenticate it when communicating with other services or applications. It is often referred to as ClientId. For example, when the application sends an authentication request to AAD, it includes this applicationId to prove its identity.

Example: 993a65dd-691f-44f7-ba1d-21e7b4c60d38
clientSecretstringRequired

The clientSecret is a secret key generated when an application is registered in Azure Active Directory (AAD). This secret key is used along with the applicationId when the application makes an authentication request. If both pieces of information match, AAD verifies the legitimacy of the application. It is crucial to store and manage the clientSecret securely as it is sensitive information that can pose security risks if exposed.

Example: your-client-secret
tenantTypestringRequired

Represents the type of the tenant, primarily categorized based on the subscription model. Examples include EA (Enterprise Agreement), Pay-As-You-Go, CSP and Azure Plan. This provides information related to the billing plan used by the tenant.

Example: PAY-AS-YOU-GOPattern: PAY-AS-YOU-GO|EA|AZURE-PLAN|CSP
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "data": {
    "summary": {
      "invoices": [
        {
          "cmpnId": "companyId",
          "billYear": "2025",
          "billMnth": "05",
          "vndr": "AWS",
          "payrAccId": "382377105752",
          "lnkdAccId": "216093335544",
          "invcId": "2175433553",
          "excgRate": 1381.4,
          "useCost": 34103.7224496458,
          "discCost": 0,
          "suppCost": 0,
          "crdtCost": 0,
          "totCost": 34103.7224496458,
          "excgCost": 47110882
        }
      ],
      "services": [
        {
          "cmpnId": "companyId",
          "billYear": "2025",
          "billMnth": "05",
          "vndr": "AWS",
          "payrAccId": "382377105752",
          "lnkdAccId": "216093335544",
          "invcId": "2175433553",
          "addType": "SUPPORT",
          "addDesc": "AWS Premium Support",
          "excgCost": "1500000"
        }
      ]
    }
  },
  "status": "success"
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
{
  "status": "success",
  "error": {
    "code": "OK",
    "message": "Error Message"
  }
}
POST /cost/v3/billing/anomaly/history/list HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 88

{
  "companyId": "companyId",
  "userId": "userId",
  "analyzeBy": "account",
  "analyzeType": "manual"
}
POST /cost/v3/billing/anomaly/history/detail/{analyzeType}/grid HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "companyId": "companyId",
  "userId": "userId",
  "histSeq": 0,
  "ruleSeq": 0
}
POST /cost/v3/billing/anomaly/history/detail/sent HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "companyId": "companyId",
  "userId": "userId",
  "histSeq": 0,
  "ruleSeq": 0
}
POST /cost/v3/billing/anomaly/history/detail/result HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "companyId": "companyId",
  "userId": "userId",
  "histSeq": 0,
  "ruleSeq": 0
}
POST /cost/v3/billing/anomaly/history/detail/manual/period-chart HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "companyId": "companyId",
  "userId": "userId",
  "histSeq": 0,
  "ruleSeq": 0
}
POST /cost/v3/billing/anomaly/vendors/{vendor}/detections/ai/trend HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 276

{
  "companyId": "123e4567-e89b-12d3-a456-426614174000",
  "companyName": "ex-company-rname",
  "defaultVendor": "AWS",
  "userEmail": "[email protected]",
  "userId": "390df5f7-8852-40af-bc12-57a318cb9dc3 ",
  "userName": "ex-user-name",
  "vendor": "AWS",
  "sensitivity": "M",
  "forecastDt": "2024-06-02"
}
POST /cost/v3/billing/anomaly/vendors/{vendor}/dashboard/trend HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 765

{
  "companyId": "123e4567-e89b-12d3-a456-426614174000",
  "companyName": "ex-company-rname",
  "defaultVendor": "AWS",
  "userEmail": "[email protected]",
  "userId": "390df5f7-8852-40af-bc12-57a318cb9dc3 ",
  "userName": "ex-user-name",
  "vendor": "AWS",
  "vendors": [
    "text"
  ],
  "selectedVendorsByWidget": [
    "AWS"
  ],
  "viewType": "account",
  "widgetType": "dashboard_compare_cost_trend_widget",
  "dateType": "monthly",
  "dataType": "monthly, weekly, daily",
  "timeFrame": "last_3_months",
  "viewBy": "account",
  "filter": "top_10_by_cost",
  "customFilter": [
    {
      "vendor": "text",
      "item": "text"
    }
  ],
  "selectedAccount": "000000000000",
  "selectedAccounts": [
    "text"
  ],
  "item": [
    "text"
  ],
  "selectedTagKey": "Name",
  "selectedServiceGroupSet": "00000000-0000-0000-0000-000000000000",
  "widgetCurrency": 1,
  "sensitivity": "M",
  "analyzedDt": "2024-06-02"
}
POST /cost/v3/billing/anomaly/vendors/{vendor}/anomaly/aiPossibleCause HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 318

{
  "companyId": "123e4567-e89b-12d3-a456-426614174000",
  "companyName": "ex-company-rname",
  "defaultVendor": "AWS",
  "userEmail": "[email protected]",
  "userId": "390df5f7-8852-40af-bc12-57a318cb9dc3 ",
  "userName": "ex-user-name",
  "vendor": "AWS",
  "selectedVendorsByWidget": [
    "AWS",
    "GCP"
  ],
  "sensitivity": "M",
  "forecastDate": "2024-09-23"
}
POST /cost/v3/billing/anomaly/vendors/aggregate HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "companyId": "companyId",
  "userId": "userId",
  "vendors": [
    "AWS"
  ]
}
POST /cost/v3/billing/anomaly/vendors/{vendor}/aggregate HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "companyId": "companyId",
  "userId": "userId",
  "vendors": [
    "AWS"
  ]
}
PUT /cost/v3/billing/anomaly/vendors/detections/alerts/rule/setting HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 513

{
  "companyId": "123e4567-e89b-12d3-a456-426614174000",
  "companyName": "ex-company-rname",
  "defaultVendor": "AWS",
  "userEmail": "[email protected]",
  "userId": "390df5f7-8852-40af-bc12-57a318cb9dc3 ",
  "userName": "ex-user-name",
  "vendor": "AWS",
  "seq": 0,
  "name": "Name",
  "analyzeType": "manual",
  "analyzeBy": "account",
  "sensitivity": "M",
  "thVal": 1,
  "thOpt": "percentage",
  "alertStatus": "inactive",
  "alertFreq": "daily",
  "alertOpt": "only",
  "receivers": "text",
  "useYn": "Y",
  "forecastDt": "2024-06-02",
  "analyzedDt": "2024-06-02",
  "viewBy": "account"
}
POST /cost/v3/billing/anomaly/vendors/detections/alerts/rule HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 253

{
  "companyId": "123e4567-e89b-12d3-a456-426614174000",
  "companyName": "ex-company-rname",
  "defaultVendor": "AWS",
  "userEmail": "[email protected]",
  "userId": "390df5f7-8852-40af-bc12-57a318cb9dc3 ",
  "userName": "ex-user-name",
  "vendor": "AWS",
  "vendorList": [
    "AWS"
  ]
}
POST /cost/v3/billing/anomaly/vendors/detections/alerts/rule/{seq} HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 240

{
  "companyId": "123e4567-e89b-12d3-a456-426614174000",
  "companyName": "ex-company-rname",
  "defaultVendor": "AWS",
  "userEmail": "[email protected]",
  "userId": "390df5f7-8852-40af-bc12-57a318cb9dc3 ",
  "userName": "ex-user-name",
  "vendor": "AWS",
  "seq": 0
}
POST /cost/v3/billing/summary HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 106

{
  "companyId": "companyId",
  "searchYear": "2025",
  "searchMnth": "05",
  "vndr": "AWS",
  "lnkdAccId": "linkedAccountId"
}
POST /cost/v3/billing/analytics/daily-portion HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2189

{
  "companyId": "companyId",
  "userId": "userId",
  "selectedVendor": "AWS",
  "costDate": "2019-08-12",
  "startDate": "2023-02-01",
  "endDate": "2024-02-12",
  "viewBy": "account",
  "viewById": "text",
  "viewByItem": "216093335544",
  "itemViewId": "216093335544",
  "filters": {
    "aws": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ],
      "instanceType": [
        "text"
      ],
      "instanceTypeFamily": [
        "text"
      ],
      "chargeType": [
        "text"
      ],
      "os": [
        "text"
      ],
      "database": [
        "text"
      ],
      "transferType": [
        "text"
      ],
      "purchaseOption": [
        "text"
      ],
      "apiOperation": [
        "text"
      ],
      "resourceId": [
        "text"
      ],
      "usageType": [
        "text"
      ],
      "invoiceId": [
        "text"
      ],
      "itemDescription": [
        "text"
      ],
      "cacheEngine": [
        "text"
      ],
      "availabilityZone": [
        "text"
      ],
      "platform": [
        "text"
      ]
    },
    "azure": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ],
      "subscriptionNm": [
        "text"
      ],
      "subscriptionId": [
        "text"
      ],
      "infraType": [
        "text"
      ],
      "mtCategory": [
        "text"
      ],
      "mtName": [
        "text"
      ],
      "usage": [
        "text"
      ],
      "unitPrice": [
        "text"
      ],
      "totalCost": [
        "text"
      ]
    },
    "gcp": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ]
    }
  },
  "detailFilters": {
    "linkedAccountId": [
      "text"
    ],
    "productCode": [
      "text"
    ],
    "region": [
      "text"
    ],
    "usageType": [
      "text"
    ]
  },
  "visibleFields": [
    "vendor",
    "linkedAccountId",
    "productName",
    "region",
    "usage",
    "cost",
    "usageType"
  ],
  "tags": [
    {
      "tagKey": "text",
      "tagValue": "text"
    }
  ],
  "isMonthly": false
}
POST /cost/v3/billing/analytics/daily-cost HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2189

{
  "companyId": "companyId",
  "userId": "userId",
  "selectedVendor": "AWS",
  "costDate": "2019-08-12",
  "startDate": "2023-02-01",
  "endDate": "2024-02-12",
  "viewBy": "account",
  "viewById": "text",
  "viewByItem": "216093335544",
  "itemViewId": "216093335544",
  "filters": {
    "aws": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ],
      "instanceType": [
        "text"
      ],
      "instanceTypeFamily": [
        "text"
      ],
      "chargeType": [
        "text"
      ],
      "os": [
        "text"
      ],
      "database": [
        "text"
      ],
      "transferType": [
        "text"
      ],
      "purchaseOption": [
        "text"
      ],
      "apiOperation": [
        "text"
      ],
      "resourceId": [
        "text"
      ],
      "usageType": [
        "text"
      ],
      "invoiceId": [
        "text"
      ],
      "itemDescription": [
        "text"
      ],
      "cacheEngine": [
        "text"
      ],
      "availabilityZone": [
        "text"
      ],
      "platform": [
        "text"
      ]
    },
    "azure": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ],
      "subscriptionNm": [
        "text"
      ],
      "subscriptionId": [
        "text"
      ],
      "infraType": [
        "text"
      ],
      "mtCategory": [
        "text"
      ],
      "mtName": [
        "text"
      ],
      "usage": [
        "text"
      ],
      "unitPrice": [
        "text"
      ],
      "totalCost": [
        "text"
      ]
    },
    "gcp": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ]
    }
  },
  "detailFilters": {
    "linkedAccountId": [
      "text"
    ],
    "productCode": [
      "text"
    ],
    "region": [
      "text"
    ],
    "usageType": [
      "text"
    ]
  },
  "visibleFields": [
    "vendor",
    "linkedAccountId",
    "productName",
    "region",
    "usage",
    "cost",
    "usageType"
  ],
  "tags": [
    {
      "tagKey": "text",
      "tagValue": "text"
    }
  ],
  "isMonthly": false
}
POST /cost/v3/billing/analytics/cost HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1892

{
  "companyId": "companyId",
  "userId": "userId",
  "startDate": "2023-02-01",
  "endDate": "2024-02-12",
  "itemsPerPage": 30,
  "page": 1,
  "userName": "abcd",
  "viewBy": "account",
  "selectedVendors": [
    "AWS"
  ],
  "filters": {
    "aws": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ],
      "instanceType": [
        "text"
      ],
      "instanceTypeFamily": [
        "text"
      ],
      "chargeType": [
        "text"
      ],
      "os": [
        "text"
      ],
      "database": [
        "text"
      ],
      "transferType": [
        "text"
      ],
      "purchaseOption": [
        "text"
      ],
      "apiOperation": [
        "text"
      ],
      "resourceId": [
        "text"
      ],
      "usageType": [
        "text"
      ],
      "invoiceId": [
        "text"
      ],
      "itemDescription": [
        "text"
      ],
      "cacheEngine": [
        "text"
      ],
      "availabilityZone": [
        "text"
      ],
      "platform": [
        "text"
      ]
    },
    "azure": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ],
      "subscriptionNm": [
        "text"
      ],
      "subscriptionId": [
        "text"
      ],
      "infraType": [
        "text"
      ],
      "mtCategory": [
        "text"
      ],
      "mtName": [
        "text"
      ],
      "usage": [
        "text"
      ],
      "unitPrice": [
        "text"
      ],
      "totalCost": [
        "text"
      ]
    },
    "gcp": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ]
    }
  },
  "isMonthly": false
}
POST /cost/v3/billing/analytics/related HTTP/1.1
Host: api.opsnow.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1892

{
  "companyId": "companyId",
  "userId": "userId",
  "conditions": {
    "aws": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ],
      "instanceType": [
        "text"
      ],
      "instanceTypeFamily": [
        "text"
      ],
      "chargeType": [
        "text"
      ],
      "os": [
        "text"
      ],
      "database": [
        "text"
      ],
      "transferType": [
        "text"
      ],
      "purchaseOption": [
        "text"
      ],
      "apiOperation": [
        "text"
      ],
      "resourceId": [
        "text"
      ],
      "usageType": [
        "text"
      ],
      "invoiceId": [
        "text"
      ],
      "itemDescription": [
        "text"
      ],
      "cacheEngine": [
        "text"
      ],
      "availabilityZone": [
        "text"
      ],
      "platform": [
        "text"
      ]
    },
    "azure": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
        "text"
      ],
      "productFamily": [
        "text"
      ],
      "tags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "billingTags": [
        {
          "tagKey": "text",
          "tagValue": "text"
        }
      ],
      "serviceGroup": [
        {
          "serviceGroupKey": "text",
          "serviceGroupValue": "text",
          "serviceGroupSetNm": "text",
          "serviceGroupSetId": "text",
          "serviceGroupNm": "text",
          "serviceGroupId": "text",
          "dfltYn": "text"
        }
      ],
      "subscriptionNm": [
        "text"
      ],
      "subscriptionId": [
        "text"
      ],
      "infraType": [
        "text"
      ],
      "mtCategory": [
        "text"
      ],
      "mtName": [
        "text"
      ],
      "usage": [
        "text"
      ],
      "unitPrice": [
        "text"
      ],
      "totalCost": [
        "text"
      ]
    },
    "gcp": {
      "linkedAccountId": [
        "text"
      ],
      "productCode": [
        "text"
      ],
      "region": [
[...]
